Path parameters

  • userId string Required
application/json

Body Required

  • userId string
  • transactionId string
  • closingDate string(date-time)
  • finalWalkthroughDate string(date-time)
  • possessionDate string(date-time)
  • offerDate string(date-time)
  • expirationDate string(date-time)
  • acceptanceDate string(date-time)
  • purchasePrice number
  • deposit number

Responses

  • 201

    Created

POST /transact-workflow/v1/Users/{userId}/Offers
curl \
 --request POST 'https://api.pre.lwolf.com/transact-workflow/v1/Users/{userId}/Offers' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --data '{"userId":"string","transactionId":"string","closingDate":"2026-05-04T09:42:00Z","finalWalkthroughDate":"2026-05-04T09:42:00Z","possessionDate":"2026-05-04T09:42:00Z","offerDate":"2026-05-04T09:42:00Z","expirationDate":"2026-05-04T09:42:00Z","acceptanceDate":"2026-05-04T09:42:00Z","purchasePrice":42.0,"deposit":42.0}'
Request examples
{
  "userId": "string",
  "transactionId": "string",
  "closingDate": "2026-05-04T09:42:00Z",
  "finalWalkthroughDate": "2026-05-04T09:42:00Z",
  "possessionDate": "2026-05-04T09:42:00Z",
  "offerDate": "2026-05-04T09:42:00Z",
  "expirationDate": "2026-05-04T09:42:00Z",
  "acceptanceDate": "2026-05-04T09:42:00Z",
  "purchasePrice": 42.0,
  "deposit": 42.0
}